package com.fjhx.service.check.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.utils.WrapperUtil;
import com.fjhx.entity.check.CheckTag;
import com.fjhx.params.check.CheckTagVo;
import com.fjhx.mapper.check.CheckTagMapper;
import com.fjhx.service.check.CheckTagService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 盘点标签表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-04
 */
@Service
public class CheckTagServiceImpl extends ServiceImpl<CheckTagMapper, CheckTag> implements CheckTagService {

    @Override
    public Page<CheckTag> getPage(Map<String, String> condition) {

        QueryWrapper<CheckTag> wrapper = Wrappers.query();

        WrapperUtil.init(condition, wrapper)
                .createTimeDesc();

        Page<CheckTag> page = page(condition, wrapper);
        return page;
    }

    @Override
    public void add(CheckTagVo checkTagVo) {
        save(checkTagVo);
    }

    @Override
    public void edit(CheckTagVo checkTagVo) {
        updateById(checkTagVo);
    }

    @Override
    public void delete(CheckTagVo checkTagVo) {
        removeById(checkTagVo.getId());
    }

}
